Package org.apache.storm.hdfs.spout

## Class Configs

- java.lang.Object
- - org.apache.storm.hdfs.spout.Configs

- All Implemented Interfaces:
    `Validated`

      public class Configs
      extends Object
      implements Validated

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Configs.ReaderTypeValidator` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ARCHIVE_DIR` | Deprecated. please use `HdfsSpout.setArchiveDir(String)`
    `static String` | `BAD_DIR` | Deprecated. please use `HdfsSpout.setBadFilesDir(String)`
    `static String` | `CLOCKS_INSYNC` | Deprecated. please use `HdfsSpout.setClocksInSync(boolean)`
    `static String` | `COMMIT_FREQ_COUNT` | Deprecated. please use `HdfsSpout.setCommitFrequencyCount(int)`
    `static String` | `COMMIT_FREQ_SEC` | Deprecated. please use `HdfsSpout.setCommitFrequencySec(int)`
    `static int` | `DEFAULT_COMMIT_FREQ_COUNT` |
    `static int` | `DEFAULT_COMMIT_FREQ_SEC` |
    `static String` | `DEFAULT_HDFS_CONFIG_KEY` |
    `static String` | `DEFAULT_LOCK_DIR` | Filenames with this suffix in archive dir will be ignored by the Spout.
    `static int` | `DEFAULT_LOCK_TIMEOUT` |
    `static int` | `DEFAULT_MAX_OUTSTANDING` |
    `static String` | `HDFS_URI` | Deprecated. please use `HdfsSpout.setHdfsUri(String)`
    `static String` | `IGNORE_SUFFIX` | Deprecated. please use `HdfsSpout.setIgnoreSuffix(String)`
    `static String` | `LOCK_DIR` | Deprecated. please use `HdfsSpout.setLockDir(String)`
    `static String` | `LOCK_TIMEOUT` | Deprecated. please use `HdfsSpout.setLockTimeoutSec(int)`
    `static String` | `MAX_OUTSTANDING` | Deprecated. please use `HdfsSpout.setMaxOutstanding(int)`
    `static String` | `READER_TYPE` | Deprecated. please use `HdfsSpout.setReaderType(String)`
    `static String` | `SEQ` |
    `static String` | `SOURCE_DIR` | Deprecated. please use `HdfsSpout.setSourceDir(String)`
    `static String` | `TEXT` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Configs()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### READER_TYPE

          @Deprecated
          public static final String READER_TYPE

      Deprecated.
      please use `HdfsSpout.setReaderType(String)`
      Required - chose the file type being consumed.
      See Also:
        Constant Field Values

    - #### TEXT

          public static final String TEXT

      See Also:
        Constant Field Values

    - #### SEQ

          public static final String SEQ

      See Also:
        Constant Field Values

    - #### HDFS_URI

          @Deprecated
          public static final String HDFS_URI

      Deprecated.
      please use `HdfsSpout.setHdfsUri(String)`
      Required - HDFS name node.
      See Also:
        Constant Field Values

    - #### SOURCE_DIR

          @Deprecated
          public static final String SOURCE_DIR

      Deprecated.
      please use `HdfsSpout.setSourceDir(String)`
      Required - dir from which to read files.
      See Also:
        Constant Field Values

    - #### ARCHIVE_DIR

          @Deprecated
          public static final String ARCHIVE_DIR

      Deprecated.
      please use `HdfsSpout.setArchiveDir(String)`
      Required - completed files will be moved here.
      See Also:
        Constant Field Values

    - #### BAD_DIR

          @Deprecated
          public static final String BAD_DIR

      Deprecated.
      please use `HdfsSpout.setBadFilesDir(String)`
      Required - unparsable files will be moved here.
      See Also:
        Constant Field Values

    - #### LOCK_DIR

          @Deprecated
          public static final String LOCK_DIR

      Deprecated.
      please use `HdfsSpout.setLockDir(String)`
      Directory in which lock files will be created.
      See Also:
        Constant Field Values

    - #### COMMIT_FREQ_COUNT

          @Deprecated
          public static final String COMMIT_FREQ_COUNT

      Deprecated.
      please use `HdfsSpout.setCommitFrequencyCount(int)`
      Commit after N records. 0 disables this.
      See Also:
        Constant Field Values

    - #### COMMIT_FREQ_SEC

          @Deprecated
          public static final String COMMIT_FREQ_SEC

      Deprecated.
      please use `HdfsSpout.setCommitFrequencySec(int)`
      Commit after N secs. cannot be disabled.
      See Also:
        Constant Field Values

    - #### MAX_OUTSTANDING

          @Deprecated
          public static final String MAX_OUTSTANDING

      Deprecated.
      please use `HdfsSpout.setMaxOutstanding(int)`
      Max outstanding.
      See Also:
        Constant Field Values

    - #### LOCK_TIMEOUT

          @Deprecated
          public static final String LOCK_TIMEOUT

      Deprecated.
      please use `HdfsSpout.setLockTimeoutSec(int)`
      Lock timeout.
      See Also:
        Constant Field Values

    - #### CLOCKS_INSYNC

          @Deprecated
          public static final String CLOCKS_INSYNC

      Deprecated.
      please use `HdfsSpout.setClocksInSync(boolean)`
      If clocks on machines in the Storm cluster are in sync inactivity duration after which locks are considered candidates for being reassigned to another spout.
      See Also:
        Constant Field Values

    - #### IGNORE_SUFFIX

          @Deprecated
          public static final String IGNORE_SUFFIX

      Deprecated.
      please use `HdfsSpout.setIgnoreSuffix(String)`
      Ignore suffix.
      See Also:
        Constant Field Values

    - #### DEFAULT_LOCK_DIR

          public static final String DEFAULT_LOCK_DIR

      Filenames with this suffix in archive dir will be ignored by the Spout.
      See Also:
        Constant Field Values

    - #### DEFAULT_COMMIT_FREQ_COUNT

          public static final int DEFAULT_COMMIT_FREQ_COUNT

      See Also:
        Constant Field Values

    - #### DEFAULT_COMMIT_FREQ_SEC

          public static final int DEFAULT_COMMIT_FREQ_SEC

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_OUTSTANDING

          public static final int DEFAULT_MAX_OUTSTANDING

      See Also:
        Constant Field Values

    - #### DEFAULT_LOCK_TIMEOUT

          public static final int DEFAULT_LOCK_TIMEOUT

      See Also:
        Constant Field Values

    - #### DEFAULT_HDFS_CONFIG_KEY

          public static final String DEFAULT_HDFS_CONFIG_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Configs

          public Configs()